From 884982a87fc14918b062f09aa2bc3f8d2f777a14 Mon Sep 17 00:00:00 2001
From: Alexey Shvetsov <alexxy@gentoo.org>
Date: Mon, 21 Mar 2022 11:23:54 +0300
Subject: [PATCH] Allow to use system.sw.packages on gentoo linux

Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
---
 src/go/plugins/system/sw/sw.go       | 1 +
 src/libs/zbxsysinfo/linux/software.c | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/go/plugins/system/sw/sw.go b/src/go/plugins/system/sw/sw.go
index f0e4df0b55c..dda25380f40 100644
--- a/src/go/plugins/system/sw/sw.go
+++ b/src/go/plugins/system/sw/sw.go
@@ -164,6 +164,7 @@ func getManagers() []manager {
 		{"pkgtools", "[ -d /var/log/packages ] && echo true", "ls /var/log/packages", parseRegex},
 		{"rpm", "rpm --version 2> /dev/null", "rpm -qa", parseRegex},
 		{"pacman", "pacman --version 2> /dev/null", "pacman -Q", parseRegex},
+		{"portage", "emerge --version 2> /dev/null", "qlist -IRCv", parseRegex},
 	}
 }
 
diff --git a/src/libs/zbxsysinfo/linux/software.c b/src/libs/zbxsysinfo/linux/software.c
index 2ee885ac14a..c950e65d607 100644
--- a/src/libs/zbxsysinfo/linux/software.c
+++ b/src/libs/zbxsysinfo/linux/software.c
@@ -176,6 +176,7 @@ static ZBX_PACKAGE_MANAGER	package_managers[] =
 	{"pkgtools",	"[ -d /var/log/packages ] && echo true",	"ls /var/log/packages",		NULL},
 	{"rpm",		"rpm --version 2> /dev/null",			"rpm -qa",			NULL},
 	{"pacman",	"pacman --version 2> /dev/null",		"pacman -Q",			NULL},
+	{"portage",     "emerge --version 2> /dev/null",                "qlist -IRCv",                  NULL},
 	{NULL}
 };
 
